Skip to main content
POST
/
api
/
v3
/
agents
/
favorites
Create agent favorite
curl --request POST \
  --url https://paradigm.lighton.ai/api/v3/agents/favorites \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_id": 123
}
'
import requests

url = "https://paradigm.lighton.ai/api/v3/agents/favorites"

payload = { "agent_id": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({agent_id: 123})
};

fetch('https://paradigm.lighton.ai/api/v3/agents/favorites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "id": 123,
  "agent_name": "<string>",
  "agent_description": "<string>",
  "agent_id": 123,
  "user_id": 123
}
{
"id": 123,
"agent_name": "<string>",
"agent_description": "<string>",
"agent_id": 123,
"user_id": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

agent_id
integer
required

Response

id
integer
required
agent_name
string
required
agent_description
string | null
required
agent_id
integer
required
user_id
integer
required